Subject: Re: bug#7142: coreutils on Solaris 10(x86) 09/10

From: Jim Meyering <[email-masked]>
Date: Fri, 01 Oct 2010 18:34:41 +0200

Clemens Brogi wrote:
> Jim Meyering wrote:
>> Clemens Brogi wrote:
>>> you cannot compile gnu-coreutils on the latest Solaris x86 10 (09/10),
>>> since the interface of futimens has changed. it is now:
>>> extern int futimens(int, const struct timespec[2]);
>>>
>>> System-Information
>>>
>>> uname -a:
>>> SunOS barsch 5.10 Generic_142910-17 i86pc i386 i86pc Solaris
>>>
>>> I don't know if this is an issue for gnu or oracle
>>
>> Thanks for the report, but what version of coreutils did you use?
>> If you didn't use the latest stable release, please retry with that:
>>
>>     ftp://ftp.gnu.org/gnu/coreutils/coreutils-8.5.tar.xz
>>     ftp://ftp.gnu.org/gnu/coreutils/coreutils-8.5.tar.gz
>>
>> Can you tell show us the precise commands you used to configure and build,
>> as well as the output that makes you think futimes is at fault?
>> Note that configure-time output (especially regarding whether *utim*
>> functions were found) can be useful, too.
>
> Hi
>
> sorry this was my fault. I used coreutils coming with the new Solaris
> Companion CD, which is 5.97
>
> I was able to build 8.5 after defining LDFLAGS -lgen

If something failed, please attach the output
of running configure and make so we can fix it.